Bug 45105 - 'cat' directories vanished in RC2
'cat' directories vanished in RC2
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-19 23:38 EDT by Michal Jaegermann
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-24 16:26:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-06-19 23:38:06 EDT
The first thing after update to RC2 Seawolf-gold one is greeted with the
following message in a root mailbox ( not counting this  - see #44643

/etc/cron.daily/sysstat:

rm: `/var/log/sa' is a directory

)

Subject: Anacron job 'cron.daily'

/etc/cron.daily/makewhatis.cron:

find: /var/cache/man/whatis: No such file or directory
find: /var/cache/man/whatis: No such file or directory
find: /var/cache/man/whatis: No such file or directory
find: /var/cache/man/whatis: No such file or directory
find: /var/cache/man/whatis: No such file or directory
find: /var/cache/man/whatis: No such file or directory
find: /var/cache/man/whatis: No such file or directory
find: /var/cache/man/whatis: No such file or directory
find: /var/cache/man/whatis: No such file or directory
find: /var/cache/man/whatis: No such file or directory
/etc/cron.daily/tmpwatch:

error: lstat() of directory /var/cache/man/X11R6/cat? failed: No such file
or directory

Indeed, there is no /var/cache/man/X11R6/cat? or any other directory
under /var/cache/man and one would expect quite a few of these.
'rpm -ql man | grep var' shows that indeed all these 'cat' directories
were removed.
Comment 1 Phil Copeland 2001-06-24 13:25:37 EDT
Michal, I've tried this on the current gold CD's on a full install

[root@dhcpd141 alpha]# /etc/cron.daily/sysstat
[root@dhcpd141 alpha]# 
(seems ok)

[root@dhcpd141 alpha]# /etc/cron.daily/makewhatis.cron
[root@dhcpd141 alpha]# 
(seems ok)

[root@dhcpd141 alpha]# /etc/cron.daily/tmpwatch
error: lstat() of directory /var/cache/man/X11R6/cat? failed: No such file or
directory

[root@dhcpd141 alpha]# rpm -ql man | grep var
/var/cache/man

one entry,..
Comment 2 Michal Jaegermann 2001-06-24 16:25:59 EDT
> [root@dhcpd141 alpha]# rpm -ql man | grep var
>  /var/cache/man

> one entry,..

Yes, indeed.  But there should be a whole long list.  At least
/etc/man.config claims so by setting FHS option.  And try to
run /etc/cron.daily/makewhatis.cron "by hand".
Comment 3 Bernhard Rosenkraenzer 2001-06-25 10:48:40 EDT
It was intentional - preformatted man pages have been the cause of way too 
many security problems in the last couple of months.
They're now turned off by default.
Comment 4 Michal Jaegermann 2001-06-25 11:54:36 EDT
In that case /usr/sbin/makewhatis should be fixed not to attempt to visit
non-existent directories.  Apart of that this seems to badly affect 'apropos'
and this is just plain BUG - intended or not.  OK, I will enter the later
as a separate one.

Note You need to log in before you can comment on or make changes to this bug.